Package com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_memory_total_t

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_memory_total_t

- Enclosing interface:
    Perfstat

      @FieldOrder({"virt_total","real_total","real_free","real_pinned","real_inuse","pgbad","pgexct","pgins","pgouts","pgspins","pgspouts","scans","cycles","pgsteals","numperm","pgsp_total","pgsp_free","pgsp_rsvd","real_system","real_user","real_process","virt_active","iome","iomu","iohwm","pmem","comprsd_total","comprsd_wseg_pgs","cpgins","cpgouts","true_size","expanded_memory","comprsd_wseg_size","target_cpool_size","max_cpool_size","min_ucpool_size","cpool_size","ucpool_size","cpool_inuse","ucpool_inuse","version","real_avail","bytes_coalesced","bytes_coalesced_mempool"})
      public static class Perfstat.perfstat_memory_total_t
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `bytes_coalesced` |
    `long` | `bytes_coalesced_mempool` |
    `long` | `comprsd_total` |
    `long` | `comprsd_wseg_pgs` |
    `long` | `comprsd_wseg_size` |
    `long` | `cpgins` |
    `long` | `cpgouts` |
    `long` | `cpool_inuse` |
    `long` | `cpool_size` |
    `long` | `cycles` |
    `long` | `expanded_memory` |
    `long` | `iohwm` |
    `long` | `iome` |
    `long` | `iomu` |
    `long` | `max_cpool_size` |
    `long` | `min_ucpool_size` |
    `long` | `numperm` |
    `long` | `pgbad` |
    `long` | `pgexct` |
    `long` | `pgins` |
    `long` | `pgouts` |
    `long` | `pgsp_free` |
    `long` | `pgsp_rsvd` |
    `long` | `pgsp_total` |
    `long` | `pgspins` |
    `long` | `pgspouts` |
    `long` | `pgsteals` |
    `long` | `pmem` |
    `long` | `real_avail` |
    `long` | `real_free` |
    `long` | `real_inuse` |
    `long` | `real_pinned` |
    `long` | `real_process` |
    `long` | `real_system` |
    `long` | `real_total` |
    `long` | `real_user` |
    `long` | `scans` |
    `long` | `target_cpool_size` |
    `long` | `true_size` |
    `long` | `ucpool_inuse` |
    `long` | `ucpool_size` |
    `long` | `version` |
    `long` | `virt_active` |
    `long` | `virt_total` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `perfstat_memory_total_t()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### virt_total

          public long virt_total

    - #### real_total

          public long real_total

    - #### real_free

          public long real_free

    - #### real_pinned

          public long real_pinned

    - #### real_inuse

          public long real_inuse

    - #### pgbad

          public long pgbad

    - #### pgexct

          public long pgexct

    - #### pgins

          public long pgins

    - #### pgouts

          public long pgouts

    - #### pgspins

          public long pgspins

    - #### pgspouts

          public long pgspouts

    - #### scans

          public long scans

    - #### cycles

          public long cycles

    - #### pgsteals

          public long pgsteals

    - #### numperm

          public long numperm

    - #### pgsp_total

          public long pgsp_total

    - #### pgsp_free

          public long pgsp_free

    - #### pgsp_rsvd

          public long pgsp_rsvd

    - #### real_system

          public long real_system

    - #### real_user

          public long real_user

    - #### real_process

          public long real_process

    - #### virt_active

          public long virt_active

    - #### iome

          public long iome

    - #### iomu

          public long iomu

    - #### iohwm

          public long iohwm

    - #### pmem

          public long pmem

    - #### comprsd_total

          public long comprsd_total

    - #### comprsd_wseg_pgs

          public long comprsd_wseg_pgs

    - #### cpgins

          public long cpgins

    - #### cpgouts

          public long cpgouts

    - #### true_size

          public long true_size

    - #### expanded_memory

          public long expanded_memory

    - #### comprsd_wseg_size

          public long comprsd_wseg_size

    - #### target_cpool_size

          public long target_cpool_size

    - #### max_cpool_size

          public long max_cpool_size

    - #### min_ucpool_size

          public long min_ucpool_size

    - #### cpool_size

          public long cpool_size

    - #### ucpool_size

          public long ucpool_size

    - #### cpool_inuse

          public long cpool_inuse

    - #### ucpool_inuse

          public long ucpool_inuse

    - #### version

          public long version

    - #### real_avail

          public long real_avail

    - #### bytes_coalesced

          public long bytes_coalesced

    - #### bytes_coalesced_mempool

          public long bytes_coalesced_mempool

  - ### Constructor Detail

    - #### perfstat_memory_total_t

          public perfstat_memory_total_t()